﻿using System.Drawing;
using System.IO;

namespace TestProject
{
    /// <summary>
    /// 육각형
    /// </summary>
    public class Hexagon
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 행
        /// </summary>
        public int Row;
        
        /// <summary>
        /// 열
        /// </summary>
        public int Column;

        /// <summary>
        /// 비트맵
        /// </summary>
        public Bitmap Bitmap;

        /// <summary>
        /// 파일 경로
        /// </summary>
        public string FilePath;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - Hexagon(row, column, bitmap, filePath)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="row">행</param>
        /// <param name="column">열</param>
        /// <param name="bitmap">비트맵</param>
        /// <param name="filePath">파일 경로</param>
        public Hexagon(int row, int column, Bitmap bitmap, string filePath)
        {
            Row    = row;
            Column = column;
            Bitmap = bitmap;

            FileInfo fileInfo = new FileInfo(filePath);

            FilePath = fileInfo.Name;
        }

        #endregion
    }
}